VkStencilOpState Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStencilOp | failOp
VkStencilOp | passOp
VkStencilOp | depthFailOp
VkCompareOp | compareOp
uint32_t | compareMask
uint32_t | writeMask
uint32_t | reference

## Detailed Description

Definition at line 2042 of file vulkan.h.

## Field Documentation

## compareMask

uint32_t VkStencilOpState::compareMask

Definition at line 2047 of file vulkan.h.

## compareOp

VkCompareOp VkStencilOpState::compareOp

Definition at line 2046 of file vulkan.h.

## depthFailOp

VkStencilOp VkStencilOpState::depthFailOp

Definition at line 2045 of file vulkan.h.

## failOp

VkStencilOp VkStencilOpState::failOp

Definition at line 2043 of file vulkan.h.

## passOp

VkStencilOp VkStencilOpState::passOp

Definition at line 2044 of file vulkan.h.

## reference

uint32_t VkStencilOpState::reference

Definition at line 2049 of file vulkan.h.

## writeMask

uint32_t VkStencilOpState::writeMask

Definition at line 2048 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h